#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int x, y, res;
    cin >> x;

    cin >> y;

    int i = 0, j = 0, xtr, ytr;
    while (true) {
        xtr = (x % (int)pow(10, i + 1)) / pow(10, i);
        ytr = (y % (int)pow(10, i + 1)) / pow(10, i);
        if (xtr > 0 && ytr > 0) {
            if (xtr > ytr) {
                res += xtr * pow(10, j);
            } else if (xtr < ytr) {
                res += ytr * pow(10, j);
            } else {
                res += xtr * (pow(10, j) + pow(10, j + 1));
                j++;
            }
            i++; j++;
        } else if (xtr > 0) {
            res += x / (int)pow(10, i) * pow(10, j);
            break;
        } else if (ytr > 0) {
            res += y / (int)pow(10, i) * pow(10, j);
            break;
        } else {
            break;
        }
    }

    cout << res;

    return 0;
}